Package org.apache.any23.vocab

## Class LKIFCoreExpression

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.LKIFCoreExpression

-     public class LKIFCoreExpression
      extends Vocabulary

  An implementation of the lkif-core vocabulary which is a library of ontologies relevant for the legal domain. The library consists of 15 modules, each of which describes a set of closely related concepts from both legal and commonsense domains.

  The expression module describes a vocabulary for describing, propositions and propositional attitudes (belief, intention), qualifications, statements and media. It furthermore extends the role module with a number or epistemic roles, and is the basis for the definition of norms.

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `addressee` |
    `org.eclipse.rdf4j.model.IRI` | `Argument` |
    `org.eclipse.rdf4j.model.IRI` | `asserted_by` |
    `org.eclipse.rdf4j.model.IRI` | `Assertion` |
    `org.eclipse.rdf4j.model.IRI` | `asserts` |
    `org.eclipse.rdf4j.model.IRI` | `Assumption` |
    `org.eclipse.rdf4j.model.IRI` | `attitude` |
    `org.eclipse.rdf4j.model.IRI` | `author` |
    `org.eclipse.rdf4j.model.IRI` | `bears` |
    `org.eclipse.rdf4j.model.IRI` | `Belief` |
    `org.eclipse.rdf4j.model.IRI` | `believed_by` |
    `org.eclipse.rdf4j.model.IRI` | `believes` |
    `org.eclipse.rdf4j.model.IRI` | `Cause` |
    `org.eclipse.rdf4j.model.IRI` | `Communicated_Attitude` |
    `org.eclipse.rdf4j.model.IRI` | `counts_as` |
    `org.eclipse.rdf4j.model.IRI` | `creation` |
    `org.eclipse.rdf4j.model.IRI` | `Declaration` |
    `org.eclipse.rdf4j.model.IRI` | `declared_by` |
    `org.eclipse.rdf4j.model.IRI` | `declares` |
    `org.eclipse.rdf4j.model.IRI` | `Desire` |
    `org.eclipse.rdf4j.model.IRI` | `Document` |
    `org.eclipse.rdf4j.model.IRI` | `evaluated_by` |
    `org.eclipse.rdf4j.model.IRI` | `evaluates` |
    `org.eclipse.rdf4j.model.IRI` | `Evaluative_Attitude` |
    `org.eclipse.rdf4j.model.IRI` | `Evaluative_Proposition` |
    `org.eclipse.rdf4j.model.IRI` | `evaluatively_comparable` |
    `org.eclipse.rdf4j.model.IRI` | `Evidence` |
    `org.eclipse.rdf4j.model.IRI` | `Exception` |
    `org.eclipse.rdf4j.model.IRI` | `Expectation` |
    `org.eclipse.rdf4j.model.IRI` | `Expression` |
    `org.eclipse.rdf4j.model.IRI` | `Fact` |
    `org.eclipse.rdf4j.model.IRI` | `held_by` |
    `org.eclipse.rdf4j.model.IRI` | `holds` |
    `org.eclipse.rdf4j.model.IRI` | `imposed_on` |
    `org.eclipse.rdf4j.model.IRI` | `intended_by` |
    `org.eclipse.rdf4j.model.IRI` | `intends` |
    `org.eclipse.rdf4j.model.IRI` | `Intention` |
    `org.eclipse.rdf4j.model.IRI` | `Lie` |
    `org.eclipse.rdf4j.model.IRI` | `medium` |
    `org.eclipse.rdf4j.model.IRI` | `Medium` |
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `Observation` |
    `org.eclipse.rdf4j.model.IRI` | `observer` |
    `org.eclipse.rdf4j.model.IRI` | `observes` |
    `org.eclipse.rdf4j.model.IRI` | `played_by` |
    `org.eclipse.rdf4j.model.IRI` | `plays` |
    `org.eclipse.rdf4j.model.IRI` | `Problem` |
    `org.eclipse.rdf4j.model.IRI` | `Promise` |
    `org.eclipse.rdf4j.model.IRI` | `promised_by` |
    `org.eclipse.rdf4j.model.IRI` | `promises` |
    `org.eclipse.rdf4j.model.IRI` | `Proposition` |
    `org.eclipse.rdf4j.model.IRI` | `Propositional_Attitude` |
    `org.eclipse.rdf4j.model.IRI` | `Qualification` |
    `org.eclipse.rdf4j.model.IRI` | `Qualified` |
    `org.eclipse.rdf4j.model.IRI` | `qualified_by` |
    `org.eclipse.rdf4j.model.IRI` | `qualifies` |
    `org.eclipse.rdf4j.model.IRI` | `qualitatively_comparable` |
    `org.eclipse.rdf4j.model.IRI` | `Reason` |
    `org.eclipse.rdf4j.model.IRI` | `Speech_Act` |
    `org.eclipse.rdf4j.model.IRI` | `stated_by` |
    `org.eclipse.rdf4j.model.IRI` | `Statement_In_Writing` |
    `org.eclipse.rdf4j.model.IRI` | `states` |
    `org.eclipse.rdf4j.model.IRI` | `Surprise` |
    `org.eclipse.rdf4j.model.IRI` | `towards` |
    `org.eclipse.rdf4j.model.IRI` | `utterer` |
    `org.eclipse.rdf4j.model.IRI` | `utters` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LKIFCoreExpression` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### Argument

          public final org.eclipse.rdf4j.model.IRI Argument

    - #### Assertion

          public final org.eclipse.rdf4j.model.IRI Assertion

    - #### Assumption

          public final org.eclipse.rdf4j.model.IRI Assumption

    - #### Belief

          public final org.eclipse.rdf4j.model.IRI Belief

    - #### Cause

          public final org.eclipse.rdf4j.model.IRI Cause

    - #### Communicated_Attitude

          public final org.eclipse.rdf4j.model.IRI Communicated_Attitude

    - #### Declaration

          public final org.eclipse.rdf4j.model.IRI Declaration

    - #### Desire

          public final org.eclipse.rdf4j.model.IRI Desire

    - #### Document

          public final org.eclipse.rdf4j.model.IRI Document

    - #### Evaluative_Attitude

          public final org.eclipse.rdf4j.model.IRI Evaluative_Attitude

    - #### Evaluative_Proposition

          public final org.eclipse.rdf4j.model.IRI Evaluative_Proposition

    - #### Evidence

          public final org.eclipse.rdf4j.model.IRI Evidence

    - #### Exception

          public final org.eclipse.rdf4j.model.IRI Exception

    - #### Expectation

          public final org.eclipse.rdf4j.model.IRI Expectation

    - #### Expression

          public final org.eclipse.rdf4j.model.IRI Expression

    - #### Fact

          public final org.eclipse.rdf4j.model.IRI Fact

    - #### Intention

          public final org.eclipse.rdf4j.model.IRI Intention

    - #### Lie

          public final org.eclipse.rdf4j.model.IRI Lie

    - #### Medium

          public final org.eclipse.rdf4j.model.IRI Medium

    - #### Observation

          public final org.eclipse.rdf4j.model.IRI Observation

    - #### Problem

          public final org.eclipse.rdf4j.model.IRI Problem

    - #### Promise

          public final org.eclipse.rdf4j.model.IRI Promise

    - #### Proposition

          public final org.eclipse.rdf4j.model.IRI Proposition

    - #### Propositional_Attitude

          public final org.eclipse.rdf4j.model.IRI Propositional_Attitude

    - #### Qualification

          public final org.eclipse.rdf4j.model.IRI Qualification

    - #### Qualified

          public final org.eclipse.rdf4j.model.IRI Qualified

    - #### Reason

          public final org.eclipse.rdf4j.model.IRI Reason

    - #### Speech_Act

          public final org.eclipse.rdf4j.model.IRI Speech_Act

    - #### Statement_In_Writing

          public final org.eclipse.rdf4j.model.IRI Statement_In_Writing

    - #### Surprise

          public final org.eclipse.rdf4j.model.IRI Surprise

    - #### addressee

          public final org.eclipse.rdf4j.model.IRI addressee

    - #### asserted_by

          public final org.eclipse.rdf4j.model.IRI asserted_by

    - #### asserts

          public final org.eclipse.rdf4j.model.IRI asserts

    - #### attitude

          public final org.eclipse.rdf4j.model.IRI attitude

    - #### author

          public final org.eclipse.rdf4j.model.IRI author

    - #### bears

          public final org.eclipse.rdf4j.model.IRI bears

    - #### believed_by

          public final org.eclipse.rdf4j.model.IRI believed_by

    - #### believes

          public final org.eclipse.rdf4j.model.IRI believes

    - #### declares

          public final org.eclipse.rdf4j.model.IRI declares

    - #### declared_by

          public final org.eclipse.rdf4j.model.IRI declared_by

    - #### evaluated_by

          public final org.eclipse.rdf4j.model.IRI evaluated_by

    - #### evaluates

          public final org.eclipse.rdf4j.model.IRI evaluates

    - #### evaluatively_comparable

          public final org.eclipse.rdf4j.model.IRI evaluatively_comparable

    - #### held_by

          public final org.eclipse.rdf4j.model.IRI held_by

    - #### holds

          public final org.eclipse.rdf4j.model.IRI holds

    - #### intended_by

          public final org.eclipse.rdf4j.model.IRI intended_by

    - #### intends

          public final org.eclipse.rdf4j.model.IRI intends

    - #### medium

          public final org.eclipse.rdf4j.model.IRI medium

    - #### observer

          public final org.eclipse.rdf4j.model.IRI observer

    - #### observes

          public final org.eclipse.rdf4j.model.IRI observes

    - #### promised_by

          public final org.eclipse.rdf4j.model.IRI promised_by

    - #### promises

          public final org.eclipse.rdf4j.model.IRI promises

    - #### qualified_by

          public final org.eclipse.rdf4j.model.IRI qualified_by

    - #### qualifies

          public final org.eclipse.rdf4j.model.IRI qualifies

    - #### qualitatively_comparable

          public final org.eclipse.rdf4j.model.IRI qualitatively_comparable

    - #### stated_by

          public final org.eclipse.rdf4j.model.IRI stated_by

    - #### states

          public final org.eclipse.rdf4j.model.IRI states

    - #### towards

          public final org.eclipse.rdf4j.model.IRI towards

    - #### utterer

          public final org.eclipse.rdf4j.model.IRI utterer

    - #### utters

          public final org.eclipse.rdf4j.model.IRI utters

    - #### creation

          public final org.eclipse.rdf4j.model.IRI creation

    - #### counts_as

          public final org.eclipse.rdf4j.model.IRI counts_as

    - #### imposed_on

          public final org.eclipse.rdf4j.model.IRI imposed_on

    - #### played_by

          public final org.eclipse.rdf4j.model.IRI played_by

    - #### plays

          public final org.eclipse.rdf4j.model.IRI plays

  - ### Method Detail

    - #### getInstance

          public static LKIFCoreExpression getInstance()